import java.util.LinkedList;
import java.util.Arrays;
import static org.junit.Assert.*;
import org.junit.Test;

public class Examples {
  // customize here, or create multiple monitors with different parameter lists
  SecurityMonitor SM = 
    new SecurityMonitor(new LinkedList<IPattern>(Arrays.asList(new SuspiciousWebPattern())));
  // use this fixed set of usernames -- it is what we have in all the logs
  LinkedList<String> usernames = new LinkedList<String>(Arrays.asList("root","kathi", "simmon", "jordan"));
  
  public Examples() {
    // reset the queue between test cases
    SM.clearQueue();
    // populate the queue based on a specific log
    SM.runLogFile("webrequestlog.txt", usernames);
  }
  
  // check whether the webrequest sample yields a single alert (as it should)
  @Test
  public void checkWebRequestAlerts() {
    assertEquals(1, SM.numAlerts());
  }
}